MENU_OPTS(3) | Library Functions Manual | MENU_OPTS(3)

# NAME

menu_opts, menu_opts_off, menu_opts_on, set_menu_opts — get or modify options for a menu

# LIBRARY

Curses Menu Library (libmenu, -lmenu)

# SYNOPSIS

#include <menu.h>

OPTIONS
menu_opts(MENU *menu);

int
menu_opts_off(MENU *menu, OPTIONS opts);

int
menu_opts_on(MENU *menu, OPTIONS opts);

int
set_menu_opts(MENU *menu, OPTIONS opts);

# DESCRIPTION

The menu_opts() function returns the current options set for the menu given. The menu_opts_off() function turns off the menu options given by the opts parameter for the menu. The menu_opts_on() function turns on the menu options given by the opts parameter for the menu passed. The set_menu_opts() sets the menu options to the value given in opts.

# RETURN VALUES

The functions return one of the following error values:

E_OK
  The function was successful.
E_BAD_ARGUMENT
  One or more of the arguments passed to the function was incorrect.
E_POSTED
  The menu is already posted.

# SEE ALSO

curses(3), menus(3)

# NOTES

The header <menu.h> automatically includes both <curses.h> and <eti.h>.

September 10, 1999 | NetBSD 7.2